iNativeWindowManager Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

iNativeWindowManager Struct Reference
2D

This interface represents the native window manager system. More...

`#include <ivideo/natwin.h>`

Inheritance diagram for iNativeWindowManager:

List of all members.

## Public Member Functions
virtual void | Alert (int type, const char *title, const char *okMsg, const char *msg,...)=0
| Show an alert.
virtual void | AlertV (int type, const char *title, const char *okMsg, const char *msg, va_list arg)=0
| Show an alert.
virtual void | Alert (int type, const wchar_t *title, const wchar_t *okMsg, const wchar_t *msg,...) CS_GNUC_WPRINTF(5
| Show an alert.
virtual void virtual void | AlertV (int type, const wchar_t *title, const wchar_t *okMsg, const wchar_t *msg, va_list arg) CS_GNUC_WPRINTF(5
| Show an alert.

## Detailed Description

This interface represents the native window manager system.

At this moment this interface is nearly empty. In the future it will be extended with more functionality to manage windows and so on.

Main ways to get pointers to this interface:

- scfQueryInterface on iGraphics2D interface.

Definition at line 52 of file natwin.h.

## Member Function Documentation

virtual void iNativeWindowManager::Alert | ( | int | type,
|  | const char * | title,
|  | const char * | okMsg,
|  | const char * | msg,
|  |  | ...
| ) |  | `[pure virtual]`

Show an alert.

Type is one of CS_ALERT_???.

Remarks:
  All strings are expected to be UTF-8 encoded.

See also:
  CS_ALERT_ERROR
  Notes about string formatting in Crystal Space

Implemented in csGraphics2D.

virtual void iNativeWindowManager::Alert | ( | int | type,
|  | const wchar_t * | title,
|  | const wchar_t * | okMsg,
|  | const wchar_t * | msg,
|  |  | ...
| ) |  | `[virtual]`

Show an alert.

Type is one of CS_ALERT_???.

See also:
  CS_ALERT_ERROR
  Notes about string formatting in Crystal Space

Reimplemented in csGraphics2D.

virtual void iNativeWindowManager::AlertV | ( | int | type,
|  | const char * | title,
|  | const char * | okMsg,
|  | const char * | msg,
|  | va_list | arg
| ) |  | `[pure virtual]`

Show an alert.

Type is one of CS_ALERT_???.

Remarks:
  All strings are expected to be UTF-8 encoded.

See also:
  CS_ALERT_ERROR
  Notes about string formatting in Crystal Space

Implemented in csGraphics2D.

virtual void virtual void iNativeWindowManager::AlertV | ( | int | type,
|  | const wchar_t * | title,
|  | const wchar_t * | okMsg,
|  | const wchar_t * | msg,
|  | va_list | arg
| ) |  | `[virtual]`

Show an alert.

Type is one of CS_ALERT_???.

See also:
  CS_ALERT_ERROR
  Notes about string formatting in Crystal Space

Reimplemented in csGraphics2D.

The documentation for this struct was generated from the following file:

- ivideo/natwin.h